Bug 209027 - x11/nvidia-driver - update legacy versions to support xorg-server 1.18
Summary: x11/nvidia-driver - update legacy versions to support xorg-server 1.18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-04-25 08:09 UTC by Koop Mast
Modified: 2016-07-02 06:50 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments
update legacy nvidia-driver to 304.131 and 340.96 (2.72 KB, patch)
2016-04-25 08:09 UTC, Koop Mast
no flags Details | Diff
Xorg-304.log (29.42 KB, text/x-log)
2016-05-01 03:01 UTC, Ultima
no flags Details
Xorg-340.log (14.21 KB, text/x-log)
2016-05-01 03:02 UTC, Ultima
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2016-04-25 08:09:00 UTC
Created attachment 169652 [details]
update legacy nvidia-driver to 304.131 and 340.96

The attached patch updates the legacy nvidia-driver to 304.131 and 340.96. For the main nvidia-driver port please see bug #201340.

I have only done build tests. Don't have any nvidia hardware myself, so set the need-qa flag.
Comment 1 Ultima 2016-05-01 03:01:52 UTC
Created attachment 169838 [details]
Xorg-304.log

 Tested this patch and works as expected on head-r298549. Attaching Xorg logs.
Comment 2 Ultima 2016-05-01 03:02:12 UTC
Created attachment 169839 [details]
Xorg-340.log
Comment 3 Koop Mast freebsd_committer 2016-06-18 11:58:06 UTC
@danfe any progress on this?

@ultima thanks for the testing of both updates!
Comment 4 commit-hook freebsd_committer 2016-07-02 06:42:48 UTC
A commit references this bug:

Author: danfe
Date: Sat Jul  2 06:42:22 UTC 2016
New revision: 417910
URL: https://svnweb.freebsd.org/changeset/ports/417910

Log:
  Update nVidia legacy driver versions to 304.131 and 340.96, respectively,
  to gain advantage of added support for X.Org X server ABI 20 (xorg-server
  1.18).  They also fixed a bug that could cause texture corruption in some
  OpenGL applications when video memory is exhausted by a combination of
  simultaneously running graphical and compute workloads.

  PR:	209027

Changes:
  head/x11/nvidia-driver/distinfo
  head/x11/nvidia-driver-304/Makefile
  head/x11/nvidia-driver-340/Makefile
Comment 5 Alexey Dokuchaev freebsd_committer 2016-07-02 06:50:25 UTC
Yeah, sorry for the delay with this; legacy drivers updated as of ports r417910.